/*
 * Copyright (c) 2016,2017 Brook Milligan.
 *
 * This file is part of the GraphModel Library.
 *
 *     The GraphModel Library is free software: you can redistribute
 *     it and/or modify it under the terms of the GNU Affero General
 *     Public License as published by the Free Software Foundation,
 *     either version 3 of the License, or (at your option) any later
 *     version.
 *
 *     The GraphModel Library is distributed in the hope that it will
 *     be useful, but WITHOUT ANY WARRANTY; without even the implied
 *     warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 *     PURPOSE.  See the GNU Affero General Public License for more
 *     details.
 *
 *     You should have received a copy of the GNU Affero General
 *     Public License along with the GraphModel Library.  If not, see
 *     <http://www.gnu.org/licenses/>.
 */

/// \file

#ifndef CORE_DOMAIN_DEFAULT_DOMAIN_HPP
#define CORE_DOMAIN_DEFAULT_DOMAIN_HPP 1

#include "type_traits/is_domain.hpp"

namespace core
{

  namespace domain
  {

    class default_domain {};

  } // namespace domain

} // namespace core

namespace type_traits
{

  template <>
  struct is_domain< core::domain::default_domain >
    : std::true_type
  {};

} // namespace type_traits

#endif
